Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.results
Class GetToDoListResult4

    java.lang.Object
      com.tibco.bpm.web.client.services.results.GetToDoListResult4

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, net.customware.gwt.dispatch.shared.Result

    public class GetToDoListResult4

extends java.lang.Object
implements net.customware.gwt.dispatch.shared.Result

The ToDoList { Work List } for the user.

Contains a `ListPage` of `WorkListItem2` entries which make up the Work List. `WorkListItem2` contains extra work item attributes which are not returned by the original version

©2011 TIBCO Software Inc.

Since:
  3.0
See Also:
  `WorkListItem2`, `ListPage`

Constructor Summary
`GetToDoListResult4(ListPage<WorkListItem2> workList, java.util.HashMap<java.lang.String,java.lang.String> attributeAliases, java.lang.String attributeAliasString)`

Method Summary
`java.util.HashMap<java.lang.String,java.lang.String>` | `getAttributeAliases()` HashMap containing the alias ( display names ) for the work list attributes, if set.
`java.lang.String` | `getAttributeAliasString()` String representation of the alias ( display names ).
`long` | `getTimeMillis()` Typically used to pass the server timestamp to the client
`long` | `getTotalItems()` The total number of items in the Work List
`ListPage<WorkListItem2>` | `getWorkList()` `ListPage` of `WorkListItem2` entries which make up the Work List.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetToDoListResult4

    public GetToDoListResult4(ListPage<WorkListItem2> workList,
                              java.util.HashMap<java.lang.String,java.lang.String> attributeAliases,
                              java.lang.String attributeAliasString)

Method Detail

### getWorkList

    public ListPage<WorkListItem2> getWorkList()

  `ListPage` of `WorkListItem2` entries which make up the Work List.

  Returns:
    Returns the workList.

### getTotalItems

    public long getTotalItems()

  The total number of items in the Work List

  Returns:
    Returns the total number of items.

### getTimeMillis

    public long getTimeMillis()

  Typically used to pass the server timestamp to the client

  Returns:
    timestamp in ms

### getAttributeAliases

    public java.util.HashMap<java.lang.String,java.lang.String> getAttributeAliases()

  HashMap containing the alias ( display names ) for the work list attributes, if set.

  Returns:
    HashMap containing the aliases

### getAttributeAliasString

    public java.lang.String getAttributeAliasString()

  String representation of the alias ( display names ). This can be used by the client for comparison to determine if any of the aliases have changed

  Returns:
    String representation of the aliases.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.